VERSION 5.00
Begin VB.Form fParam 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   Caption         =   "Contact"
   ClientHeight    =   2415
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3240
   Enabled         =   0   'False
   LinkTopic       =   "Form1"
   ScaleHeight     =   2415
   ScaleWidth      =   3240
   StartUpPosition =   3  'Windows Default
   Visible         =   0   'False
End
Attribute VB_Name = "fParam"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
' This form is used to close the Contacts form opened in an Access instance
' launched with database given in parameter. Command line = CloseContact "dbpath"
' ------------------------------------------------------------------------------

Option Explicit

Private objAccess As Object         'reference to Access object (with database)

'----------------------------------------------------------------------
'called when form is loaded (entry point)
'retrieve database on command line and close the contact form
'----------------------------------------------------------------------
Private Sub Form_Load()

Dim CmdLine() As String         'command line splitted
Dim dbpath As String            'path of Access database used

On Error GoTo Herr

'init
    dbpath = ""

'parse the command line to retrieve the parameter
    CmdLine = Split(Command, """")
    If UBound(CmdLine) > 0 Then
        dbpath = CmdLine(1)
    End If
    
'if parameter OK, close contact...
    If Len(dbpath) <> 0 Then
        CloseContact dbpath
    Else
        GoTo Herr
    End If
    
    End
    Exit Sub

Herr:
    MsgBox "Error " & Err.Description & " in " & Err.Source & " Command line = " & Command
    End
End Sub

'----------------------------------------------------------------------
'Close form Contacts with database corresponding to 'dbpath'
'----------------------------------------------------------------------
Sub CloseContact(dbpath As String)

On Error GoTo ErrHandler
    
'get reference on Access object with right database
    Set objAccess = GetObject(dbpath)
'close Contacts form
    objAccess.DoCmd.Close acForm, "Contacts", acSaveYes
    
ErrHandler:
   Set objAccess = Nothing
End Sub
