// actioncmdDlg.cpp : implementation file
//

#include "stdafx.h"
#include "actioncmd.h"
#include "actioncmdDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CActioncmdApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CActioncmdDlg dialog

CActioncmdDlg::CActioncmdDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CActioncmdDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CActioncmdDlg)
	m_Phone = _T("");
	m_First = _T("");
	m_Last = _T("");
	m_Key = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CActioncmdDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CActioncmdDlg)
	DDX_Text(pDX, IDC_Phone, m_Phone);
	DDX_Text(pDX, IDC_FirstName, m_First);
	DDX_Text(pDX, IDC_LastName, m_Last);
	DDX_Text(pDX, IDC_Key, m_Key);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CActioncmdDlg, CDialog)
	//{{AFX_MSG_MAP(CActioncmdDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CActioncmdDlg message handlers

BOOL CActioncmdDlg::OnInitDialog()
{

	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	

// Parse the command line of the program to retrieve the 4 parameters : 
// main phone number, first name, last name and key (contactID).
// Command line is "m_phone" "m_first" "m_Last" "m_key" (where only m_first can be null).
	m_Phone = strtok(theApp.m_lpCmdLine, "\"");
	(void) strtok(NULL, "\"");
	m_First = strtok(NULL, "\"");
	while ((m_Last = strtok(NULL, "\"")) == " ");
	while ((m_Key = strtok(NULL, "\"")) == " ");
	UpdateData(FALSE);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CActioncmdDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CActioncmdDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
