' ********************************************************************************
' * Save configuration (Upgrade pim6.3/1840 to Pim6.3/1860 and higher versions)
' ********************************************************************************
Option Explicit

'===============================================================================
' Const declaration
'===============================================================================
Const K_FSO_FOR_WRITING = 2
Const OverWriteFiles = TRUE
Const SAVE_DEST_FOLDER = "\T-Octopus CTI"
Const SAVE_SOURCE_FOLDER = "\Octopus CTI"

'===============================================================================
'Variable declaration
'===============================================================================
Dim WshShell
Dim objFso
dim objFolder

Dim strApplicationDataPath
Dim strSavePath
Dim strSourcePath

' objets creation
Set WshShell = Wscript.CreateObject("Wscript.Shell")
set objFso = CreateObject("Scripting.FileSystemObject")

' Get special folders
strApplicationDataPath = WshShell.SpecialFolders("AppData")

' Save the Destination folder name
strSavePath = strApplicationDataPath & SAVE_DEST_FOLDER


' Save the Source folder name
strSourcePath = strApplicationDataPath & SAVE_SOURCE_FOLDER

' create save destination folder
If not(objFso.FolderExists(strSavePath)) Then
	set objFolder = objFso.CreateFolder(strSavePath)
else 
	set objFolder = objFso.GetFolder(strSavePath)
end if

' save user profile files 
if objFso.FolderExists(strSourcePath) then
	objFso.CopyFile strSourcePath & "\*", strSavePath & "\", OverWriteFiles
	objFso.CopyFolder strSourcePath & "\*" , strSavePath & "\", OverWriteFiles
end if

WScript.Echo "Upadation Completed."