' ********************************************************************************
' * Save user configuration 
' ********************************************************************************
Option Explicit

'===============================================================================
' Const declaration
'===============================================================================
Const K_FSO_FOR_WRITING = 2
Const OverWriteFiles = TRUE
Const SAVE_DEST_FOLDER = "\a4902save"

'===============================================================================
'Variable declaration
'===============================================================================
Dim WshShell
Dim objFso
dim objFolder

Dim strRegKey
Dim strAppName
Dim strAppPath
Dim strMyDocumentsPath
Dim strApplicationDataPath
Dim strSavePath
Dim strExecCommand

' objets creation
Set WshShell = Wscript.CreateObject("Wscript.Shell")
set objFso = CreateObject("Scripting.FileSystemObject")

' Get special folders
strMyDocumentsPath = WshShell.SpecialFolders("MyDocuments")
strApplicationDataPath = WshShell.SpecialFolders("AppData")

' Get Application installation parameters
strRegKey = "HKLM\Software\Alcatel\4902\Install\" 
strAppName = WshShell.regread(strRegKey & "4902Name")
strAppPath = WshShell.regread(strRegKey & "Path")

strApplicationDataPath = strApplicationDataPath & "\" & strAppName
' AMAE Modification to restore files located in current folder
'strSavePath = strMyDocumentsPath & SAVE_DEST_FOLDER
strSavePath = "."
' AMAE
'WScript.Echo strApplicationDataPath
'WScript.Echo strSavePath

' create application data folder
If not(objFso.FolderExists(strApplicationDataPath)) Then
	set objFolder = objFso.CreateFolder(strApplicationDataPath)
else 
	set objFolder = objFso.GetFolder(strApplicationDataPath)
end if

' restore registry keys
If objFso.FileExists(strSavePath & "\4902BkUp.reg") Then
	strExecCommand = "REG.exe IMPORT """ & strSavePath & "\4902BkUp.reg"""
	WshShell.run strExecCommand, 5, true
end if
If objFso.FileExists(strSavePath & "\UAsigBkUp.reg") Then
	strExecCommand = "REG.exe IMPORT """ & strSavePath & "\UAsigBkUp.reg"""
	WshShell.run strExecCommand, 5, true
end if
If objFso.FileExists(strSavePath & "\TSpiCstaBkUp.reg") Then
	strExecCommand = "REG.exe IMPORT """ & strSavePath & "\TSpiCstaBkUp.reg"""
	WshShell.run strExecCommand, 5, true
end if

' restore user profile files 
strSavePath = strSavePath & "\config"
If objFso.FolderExists(strSavePath) Then
	objFso.CopyFile strSavePath & "\*", strApplicationDataPath & "\", OverWriteFiles
	objFso.CopyFolder strSavePath & "\*", strApplicationDataPath & "\", OverWriteFiles
end if

WScript.Echo "Configuration restored."